Feil ved oppgradering til 1.2.0.3

Hjelp og support relatert til programmet BAS21.
Svar
haakon@erdalene.com
Innlegg: 2
Registrert: 06.01.2019 12:07

Feil ved oppgradering til 1.2.0.3

Legg inn av haakon@erdalene.com » 06.01.2019 12:13

Jeg har lastet ned nyeste versjon - 1.2.0.3 - men får følgende feil ved oppgradering av basen:

(sqlite3.PerationalError) no such column: postering.serialized_data [SQL:
'SELECT postering.id AS postering_id, postering.sid AS postering_sid,

Jeg mangler tydeligvis en kolonne i postering-tabellen.

Håkon
Brukeravatar
chreide
Site Admin
Innlegg: 172
Registrert: 06.05.2018 16:10
Sted: Trondheim

Re: Feil ved oppgradering til 1.2.0.3

Legg inn av chreide » 06.01.2019 12:16

Dette skal la seg løse.
Husker du hvilken versjon du hadde før dette? Har du "hoppet over" en del oppgraderinger?
Brukeravatar
chreide
Site Admin
Innlegg: 172
Registrert: 06.05.2018 16:10
Sted: Trondheim

Re: Feil ved oppgradering til 1.2.0-3

Legg inn av chreide » 06.01.2019 13:40

Jeg vil tro dette går i orden med de siste installasjonspakkene som er lagt ut!
haakon@erdalene.com
Innlegg: 2
Registrert: 06.01.2019 12:07

Re: Feil ved oppgradering til 1.2.0.3

Legg inn av haakon@erdalene.com » 06.01.2019 14:41

Siste versjon løste problemet. Takk for hjelpen.

Håkon
ruski
Innlegg: 2
Registrert: 07.05.2018 14:28

Re: Feil ved oppgradering til 1.2.0.3

Legg inn av ruski » 07.01.2019 21:05

For meg fungerte ingen ting før jeg avinstallerte bas21 med spesial avinstallerings software som fjerner alle spor av tidligere versjoner. Likevel måtte jeg etter avinstalleringen gå helt tilbake til versjon 1.0.0 før jeg kunne logge meg in i systemet/programmet. Så nå må jeg start på nytt for 2017.

Hvorfor måtte alle spor etter programmet fjernes før ting begynte å fungere. Jeg hadde alle versjonene installert som de kom ut.
Brukeravatar
chreide
Site Admin
Innlegg: 172
Registrert: 06.05.2018 16:10
Sted: Trondheim

Re: Feil ved oppgradering til 1.2.0.3

Legg inn av chreide » 07.01.2019 21:20

Det hørtes jo veldig omstendelig ut. Jeg ser absolutt ingen grunn til å måtte starte på 1.0.
Jeg vet ikke hva feilmeldingen sa i utgangspunktet, men hadde du sendt oss den hadde vi nok funnet en løsning raskt. Det kan vi kanskje ennå gjøre, hvis databasen har overlevd oppryddingen din?
Svar